Use Compiz 0.8 in Luna

Registered by Sergey "Shnatsel" Davidoff on 2012-03-04

We decided we won't migrate to Mutter this cycle, but we should look into shipping Compiz 0.8 instead of 0.9; we don't need anything 0.8 doesn't provide, and 0.8 has much better performance.

Blueprint information

Status:
Complete
Approver:
Sergey "Shnatsel" Davidoff
Priority:
Medium
Drafter:
None
Direction:
Approved
Assignee:
Sergey "Shnatsel" Davidoff
Definition:
Obsolete
Series goal:
None
Implementation:
Good progress
Milestone target:
None
Started by
Sergey "Shnatsel" Davidoff on 2012-04-08
Completed by
Daniel Fore on 2012-06-02

Whiteboard

This was already done in Pinguy OS Lite or something like that, so it's probably not that hard. We already have the infrastructure for such tweaks. --shnatsel

It actually happened in Pinguy OS 11.04.1 Unless window snap works in Compiz 0.8.x, I don't want this. -mamemame187
> The Window Grid plugin is in 0.8, but doesn't allow dragging windows to the side a la Windows 7/Unity/ Gnome Shell. --mwrbrennan

I've got Compiz to build on Precise, see lp:~shnatsel/compiz/compiz-0.8.6-precise
However, it fails to build in PPA with a stupid error. Asked for help at https://answers.launchpad.net/launchpad/+question/194421
The target PPA is https://launchpad.net/~shnatsel/+archive/compiz-0.8 --shnatsel

From what I understand, the plan is to use either Gala or Compiz 0.9. As such, using Compiz 0.8 is not a goal and this blueprint should be marked obsolete. Sergey feel free to correct me if this is wrong --DanRabbit

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.